Campaign statistics
curl --request GET \
--url https://api.notifique.dev/v1/campaigns/{campaignId}/stats \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/campaigns/{campaignId}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/campaigns/{campaignId}/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/campaigns/{campaignId}/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"campaign": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"audienceCount": 123,
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z",
"scheduledFor": "2023-11-07T05:31:56Z"
},
"run": {
"id": "<string>",
"scheduledFor": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"audienceCount": 123,
"errorMessage": "<string>",
"errorLabel": "<string>"
},
"funnel": {
"whatsapp": {
"queued": 123,
"sent": 123,
"delivered": 123,
"read": 123,
"clicked": 123,
"responded": 123,
"failed": 123,
"total": 123
},
"sms": {
"queued": 123,
"sent": 123,
"delivered": 123,
"read": 123,
"clicked": 123,
"responded": 123,
"failed": 123,
"total": 123
},
"email": {
"queued": 123,
"sent": 123,
"delivered": 123,
"read": 123,
"clicked": 123,
"responded": 123,
"failed": 123,
"total": 123
},
"telegram": {
"queued": 123,
"sent": 123,
"delivered": 123,
"read": 123,
"clicked": 123,
"responded": 123,
"failed": 123,
"total": 123
}
},
"totals": {
"queued": 123,
"sent": 123,
"delivered": 123,
"read": 123,
"clicked": 123,
"responded": 123,
"failed": 123,
"total": 123
},
"rates": {
"deliveryRate": 123,
"readRate": 123,
"clickRate": 123,
"failureRate": 123
},
"timeline": [
{
"hour": "<string>",
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123
}
],
"cost": {
"byChannel": [
{
"count": 123,
"credits": 123,
"cents": 123,
"chargedAs": "<string>"
}
],
"totalCredits": 123,
"totalCents": 123
},
"clicks": 123,
"topErrors": [
{
"message": "<string>",
"rawMessage": "<string>",
"count": 123
}
]
}
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}Campanhas
Campaign statistics
Show send counts and campaign performance.
GET
/
v1
/
campaigns
/
{campaignId}
/
stats
Campaign statistics
curl --request GET \
--url https://api.notifique.dev/v1/campaigns/{campaignId}/stats \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/campaigns/{campaignId}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/campaigns/{campaignId}/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/campaigns/{campaignId}/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"campaign": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"audienceCount": 123,
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z",
"scheduledFor": "2023-11-07T05:31:56Z"
},
"run": {
"id": "<string>",
"scheduledFor": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"audienceCount": 123,
"errorMessage": "<string>",
"errorLabel": "<string>"
},
"funnel": {
"whatsapp": {
"queued": 123,
"sent": 123,
"delivered": 123,
"read": 123,
"clicked": 123,
"responded": 123,
"failed": 123,
"total": 123
},
"sms": {
"queued": 123,
"sent": 123,
"delivered": 123,
"read": 123,
"clicked": 123,
"responded": 123,
"failed": 123,
"total": 123
},
"email": {
"queued": 123,
"sent": 123,
"delivered": 123,
"read": 123,
"clicked": 123,
"responded": 123,
"failed": 123,
"total": 123
},
"telegram": {
"queued": 123,
"sent": 123,
"delivered": 123,
"read": 123,
"clicked": 123,
"responded": 123,
"failed": 123,
"total": 123
}
},
"totals": {
"queued": 123,
"sent": 123,
"delivered": 123,
"read": 123,
"clicked": 123,
"responded": 123,
"failed": 123,
"total": 123
},
"rates": {
"deliveryRate": 123,
"readRate": 123,
"clickRate": 123,
"failureRate": 123
},
"timeline": [
{
"hour": "<string>",
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123
}
],
"cost": {
"byChannel": [
{
"count": 123,
"credits": 123,
"cents": 123,
"chargedAs": "<string>"
}
],
"totalCredits": 123,
"totalCents": 123
},
"clicks": 123,
"topErrors": [
{
"message": "<string>",
"rawMessage": "<string>",
"count": 123
}
]
}
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}Was this page helpful?
⌘I

